TOUPPER(3)

NAME
toupper, toupper_l, _toupper, _toupper_l - lower case to upper case letter conversion

SYNOPSIS
#include <ctype.h>
int
toupper(int c);
int
_toupper(int c);
#include <xlocale.h>
int
toupper_l(int c, locale_t l);
int
_toupper_l(int c, locale_t l);

DESCRIPTION
The functions toupper() and toupper_l() convert a lower-case letter to the corresponding upper-case letter. The functions _toupper() and _toupper_l() are identical to toupper() and toupper_l() except that c must be a lower-case letter.

RETURN VALUES
If the argument to the toupper() and toupper_l() function is a lower-case letter, the corresponding upper-case letter is returned if there is one; otherwise the argument is returned unchanged. If the argument to the _toupper() and _toupper_l() function is a lower-case letter, the corresponding upper-case letter is returned; otherwise the output is undefined.

The behavior of the functions toupper() and _toupper() is affected by the LC_CTYPE category of the current locale, while the behavior of the functions toupper_l() and _toupper_l() is affected by the LC_CTYPE category of the locale provided as parameter, see xlocale(3).

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), ascii(7), setlocale(3), xlocale(3)

STANDARDS
The toupper() function conforms to ansiC.

CAVEATS
The argument to toupper must be EOF or representable as an unsigned char; otherwise, the result is undefined.